#version 330 core

layout(location = 0) in vec4 vertex_position;
layout(location = 1) in vec4 vertex_normal;
layout(location = 2) in vec4 vertex_color;
layout(location = 3) in vec4 vertex_texCoord;

uniform mat4 projection;
uniform mat4 view;
uniform vec3 lightPosition;

void main() {
    // Project position (light is already transformed in view space):
    gl_Position = projection * view * (vec4(lightPosition, 0.0) + vertex_position * vec4(0.4, 0.4, 0.4, 1.0));
}
